apiVersion: apps/v1
kind: Deployment
metadata:
  name: cv
  namespace: cv
  labels:
    app: cv
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cv
  template:
    metadata:
      labels:
        app: cv
    spec:
      imagePullSecrets:
        - name: gitea-registry
      containers:
        - name: cv
          image: git.arthurbarre.fr/ordinarthur/cv:latest
          imagePullPolicy: IfNotPresent
          ports:
            - name: http
              containerPort: 80
          resources:
            requests:
              memory: "16Mi"
              cpu: "10m"
            limits:
              memory: "64Mi"
              cpu: "100m"
          readinessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 2
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 10
            periodSeconds: 30
